#include<iostream>
using namespace std;
int main(){
    int n,m;
    cin >> n >> m;
    int a[n];
    int b[n];
    int c[m];
    int d[m];
    for (int i=0;i<n;i++){
        cin >> a[i] >> b[i];
    }
    for (int i=0;i<m;i++){
        cin >> c[i] >> d[i];
    }
    if (n==1){
        int niz[m];
        int zbir=0;
        for (int i=0;i<m;i++){
            niz[i]=c[i];
            zbir=zbir+c[i];
        }
        int razlika=b[0]-razlika;
        for (int i=0;i<m;i++){
            if (razlika>d[i]-c[i]) {niz[i]=niz[i]+d[i]-c[i]; razlika=razlika+c[i]-d[i];}
            else{
                if (razlika>0) {niz[i]=niz[i]-razlika;razlika=0;}
            }
        }
        zbir=0;
        int k=0;
        for (int i=0;i<m;i++){
            zbir=zbir+niz[i]; 
            if (niz[i]>0) {k=k+1;}
        }
        cout << zbir << "\n" << k << "\n";
        for (int i=0;i<m;i++){
            if (niz[i]>0) {cout << "1" << " " << i+1 << " " << niz[i] << "\n";}
        }
    }
    return 0;
}